> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent Execution Conversation Token

> Creates a token for conversation access with a specific agent run.

`Unary` · [`Agents`](/docs/api-reference/generated/agent/overview)

Creates a token for conversation access with a specific agent run.

This method generates a temporary token that can be used to securely
connect to an ongoing agent conversation, for example in a web UI.

### Examples

* Create a token to join an agent run conversation in a front-end application:

  ```yaml theme={null}
  agentExecutionId: "6fa1a3c7-fbb7-49d1-ba56-1890dc7c4c35"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AgentService/CreateAgentExecutionConversationToken
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.AgentService/CreateAgentExecutionConversationToken" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "agentExecutionId": "<agent-execution-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.agent_pb2 as agent_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = agent_pb2.CreateAgentExecutionConversationTokenRequest(
      agent_execution_id="<agent-execution-id>",
  )
  response = ona.services.agent.create_agent_execution_conversation_token(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CreateAgentExecutionConversationTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/agent_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CreateAgentExecutionConversationTokenRequestSchema, {
      agentExecutionId: "<agent-execution-id>",
    });
    const response = await ona.services.agent.createAgentExecutionConversationToken(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CreateAgentExecutionConversationTokenRequest{
  		AgentExecutionId: "<agent-execution-id>",
  	})
  	response, err := ona.Services.Agent.CreateAgentExecutionConversationToken(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "agentExecutionId": "<agent-execution-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CreateAgentExecutionConversationTokenRequest`

| Field              | Type   | Required | Description                      |
| ------------------ | ------ | -------- | -------------------------------- |
| `agentExecutionId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.CreateAgentExecutionConversationTokenResponse`

| Field   | Type   | Required | Description |
| ------- | ------ | -------- | ----------- |
| `token` | string | No       |             |
